#!/bin/sh
#
# This must be executed within the context of a confined snap. Eg:
#  $ sudo snappy install hello-world
#  $ hello-world.sh
#  bash$ /path/to/test-paths.sh
#
set -e

USERHOME=/home/`id -un`
suffix="snappy-test-path"
suffix2="test-path"

ok="$USERHOME/s $USERHOME/sn $USERHOME/sna $USERHOME/snap $USERHOME/snapp $USERHOME/$suffix $USERHOME/$suffix2"
if [ -n "$SNAP_USER_DATA" ]; then
    ok="$ok $SNAP_USER_DATA/$suffix $SNAP_USER_DATA/$suffix2"
fi

err=

echo "= Ok files ="
# ok files
for f in $ok ; do
    echo -n "$f: "
    if touch $f 2>/dev/null ; then
        echo pass
        rm -f "$f"
    else
        err=yes
        echo FAIL
    fi
done

echo ""
echo "= Ok dirs ="
# ok dirs
for d in $ok ; do
    echo -n "$d: "
    if mkdir $d 2>/dev/null ; then
        rmdir "$d"
        echo pass
    else
        err=yes
        echo FAIL
    fi
done

echo ""
echo "= Bad files ="
# bad files
for f in $USERHOME/.$suffix $USERHOME/snaps/$suffix $USERHOME/snaps/.$suffix $USERHOME/.$suffix2 $USERHOME/snaps/$suffix2 $USERHOME/snaps/.$suffix2 ;do
    echo -n "$f: "
    if touch $f 2>/dev/null ; then
        rm -f "$f"
        err=yes
        echo FAIL
    else
        echo pass
    fi
done

if [ -n "$err" ]; then
    echo "FAIL"
    exit 1
fi
